@echo off
memtst.exe 386 B552960 F15 O1024
if errorlevel = 13 goto PastEnd
if errorlevel = 12 goto PastEnd
if errorlevel = 11 goto PastEnd
if errorlevel = 10 goto PastEnd
:Main
menu.exe
if errorlevel = 100 goto exit
if errorlevel = 0 goto play
goto MenuError
:play
dungeon.exe f x %1
if errorlevel = 69 goto EndOfGame
if errorlevel 0 goto NoError
error.exe
goto exit
:NoError
goto Main
:EndOfGame
play the_end.fli 7
goto Main
:MenuError
vid.com
echo Internal Error.  Did you run CyberPuck from within the
echo CyberPuck directory?
goto PastEnd
:exit
vid.com
order_c.exe
:PastEnd
